<ui:composition
        xmlns:gazelle="http://java.sun.com/jsf/composite/gazelle-tags"
        xmlns:h="http://java.sun.com/jsf/html" xmlns:ui="http://java.sun.com/jsf/facelets"
        xmlns="http://www.w3.org/1999/xhtml" xmlns:f="http://xmlns.jcp.org/jsf/core">
    <ui:decorate template="/layout/form/_form_field_horizontal_3-9.xhtml">
        <ui:define name="label">Name</ui:define>
        <ui:param name="id" value="nameIn"/>
        <ui:param name="required" value="true"/>
        <h:inputText id="nameIn" styleClass="form-control" value="#{managedBean.validatorDescription.name}"
                     required="true"/>
    </ui:decorate>
    <ui:decorate template="/layout/form/_form_field_horizontal_3-9.xhtml">
        <ui:define name="label">OID</ui:define>
        <ui:param name="required" value="true"/>
        <ui:param name="id" value="oidIn"/>
        <h:inputText id="oidIn" styleClass="form-control" value="#{managedBean.validatorDescription.oid}"
                     required="true">
            <f:validateRegex pattern="^([0-2])((\.0)|(\.[1-9][0-9]*))*$"/>
        </h:inputText>
    </ui:decorate>
    <ui:decorate template="/layout/form/_form_field_horizontal_3-9.xhtml">
        <ui:define name="label">Profile keyword</ui:define>
        <ui:param name="required" value="true"/>
        <ui:param name="id" value="profileIn"/>
        <h:inputText id="profileIn" styleClass="form-control"
                     value="#{managedBean.validatorDescription.profile}"
                     required="true"/>
    </ui:decorate>
    <ui:decorate template="/layout/form/_form_field_horizontal_3-9.xhtml">
        <ui:define name="label">Descriminator</ui:define>
        <ui:param name="id" value="descIn"/>
        <ui:param name="required" value="true"/>
        <h:inputText id="descIn" styleClass="form-control"
                     value="#{managedBean.validatorDescription.descriminator}"
                     required="true"/>
    </ui:decorate>
    <ui:decorate template="/layout/form/_form_field_horizontal_3-9.xhtml">
        <ui:define name="label">Available ?</ui:define>
        <ui:param name="id" value="availableIn"/>
        <h:selectBooleanCheckbox id="availableIn" value="#{managedBean.validatorDescription.available}"/>
    </ui:decorate>
</ui:composition>